Get Artifact Details
GET/api/v8/repos/:owner/:repo/actions/artifacts/:artifact_id
Query details of customized products under the warehouse.
Request
Path Parameters
owner stringrequired
Repository space address (organization or individual's address path)
repo stringrequired
Repository path (path)
artifact_id stringrequired
Product ID
Query Parameters
access_token string
Responses
- 200
Response Headers
- application/json
- Schema
- Example (auto)
Schema
idstring
Product ID
namestring
Product Name
size_bytesinteger
Size of Product (Bytes)
workflow_idstring
Workflow ID
workflow_run_idstring
Workflow Run ID
digeststring
SHA256 Digest
expires_atstring
Expiration time (millisecond timestamp)
created_atstring
Create Time (Millisecond Timestamp)
updated_atstring
Update Time (millisecond timestamp)
{
"id": "string",
"name": "string",
"size_bytes": 0,
"workflow_id": "string",
"workflow_run_id": "string",
"digest": "string",
"expires_at": "string",
"created_at": "string",
"updated_at": "string"
}